package com.clx.performance.interceptor;

import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.springframework.beans.factory.annotation.Value;


public class FeignInterceptor implements RequestInterceptor {

    @Value("${spring.application.name}")
    private String serviceName;


    @Override
    public void apply(RequestTemplate requestTemplate) {

        requestTemplate.header("feignAuth", "6265696a696e676368656e676c69616e");
        requestTemplate.header("feignService", serviceName);

    }
}